%% $Id: LinFiltFig3.tex,v 1.1 2001/04/02 20:36:59 Philip.Charlton Exp $

\setlength{\unitlength}{0.15cm}
\begin{picture}(60,60)(-30,-70)

\put(-30,0){\line(1,0){60}}

\put(-12,0){\raisebox{1ex}{\ $b_0$}}
\put(0,0){\raisebox{1ex}{\ $z_0$}}

\put(-12,-10){\framebox(12,10)[bl]{\raisebox{1ex}{\ $b_1$}}}
\put(0,-10){\framebox(12,10)[br]{\raisebox{1ex}{$a_0$\ }}}
\put(0,-10){\framebox(12,10)[bl]{\raisebox{1ex}{\ $z_1$}}}

\put(-12,-20){\framebox(12,10)[bl]{\raisebox{1ex}{\ $b_2$}}}
\put(0,-20){\framebox(12,10)[br]{\raisebox{1ex}{$a_1$\ }}}
\put(0,-20){\framebox(12,10)[bl]{\raisebox{1ex}{\ $z_2$}}}

\put(-12,-30){\framebox(12,10)[bl]{\raisebox{1ex}{\ $b_3$}}}
\put(0,-30){\framebox(12,10)[br]{\raisebox{1ex}{$a_2$\ }}}
\put(0,-30){\framebox(12,10)[bl]{\raisebox{1ex}{\ $z_3$}}}

\Huge
\multiput(-11,-36)(10.3,0){3}{\vdots}
\normalsize

\put(-12,-50){\framebox(12,10)[bl]{\raisebox{1ex}{\ $b_m$}}}
\put(0,-50){\framebox(12,10)[br]{\raisebox{1ex}{$a_{m-1}$\ }}}
\put(0,-50){\framebox(12,10)[bl]{\raisebox{1ex}{\ $z_m$}}}

\multiput(0,-10)(0,-10){3}{\circle*{1.5}}
\put(0,-50){\circle*{1.5}}

\put(4.5,-6){$y a_0$}
\put(4.5,-16){$y a_1$}
\put(4.5,-26){$y a_2$}
\put(4.5,-46){$y a_{m-1}$}

\put(-7.5,-6){$xb_1$}
\put(-7.5,-16){$xb_2$}
\put(-7.5,-26){$xb_3$}
\put(-7.5,-46){$xb_m$}

\multiput(8,-7.5)(0,-10){3}{\vector(-1,0){4}}
\put(8,-47.5){\vector(-1,0){4}}

\multiput(-8,-7.5)(0,-10){3}{\vector(1,0){4}}
\put(-8,-47.5){\vector(1,0){4}}

\put(15,-15){$z_n[k] = z_n[k-1] + x[k]b_n + y[k]a_{n-1}$}
\put(23,-19){$(n > 0)$}

\end{picture}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "instructions"
%%% End: 
